# 开始贡献

欢迎为此项目进行新版本的适配代码贡献！<br/>

## 分支规定

不管是直接 Push 代码还是提交 Pull Request，都必须使 commit 指向 master 分支。

## 代码格式规范

- 1.全部提交代码必须使用 IDE(Android Studio 或 IDEA) 进行格式化，未经格式化的代码将拒绝合并提交请求
- 2.代码必须使用 4 spaces 缩进格式化

## 代码注释规范

- 1.第一种注释方式：可使用在方法名或顶级变量名上

```kotlin
/** 注释内容 */
fun a() {
}

/**
 * 注释名称
 * @param test 方法名称
 * @return 返回值名称
 */
fun a(test: String) {
}
```

- 2.第二种注释方式：仅可使用在变量后方

```kotlin
val a = "" // 变量注释
```

- ⚠️ 注意：只允许两个 // 后方要有空格

## 项目要求

- 1.调试性质或大批量注释代码，禁止提交
- 2.类名和方法名仅能由开发者进行修改和提交，禁止随意修改项目名称、方法名称以及类名
- 3.禁止随意更新项目依赖以及增加新的依赖，有问题请提前提交到 issues 进行说明
- 4.禁止更新项目版本号，版本号交由开发者合并代码并发布 release 版本
- 5.代码语言要求，请统一使用 Kotlin，除特殊情况外，不接受其他语言的提交
- 6.以上